Bug 19364 - XFree86 config file keyboard options broken
Summary: XFree86 config file keyboard options broken
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-19 03:13 UTC by spector
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 17:42:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description spector 2000-10-19 03:13:14 UTC
The X11 server "XFree86" seems not to honor keyboard options set in
XF86Config.

The target macine is a ThinkPad 570, complete RH7.0 install (not n upgrade
from 6.2) with all updates as of 10/17; chip is a neomagic.

setting the '  XkbOptions "ctrl:swapcaps"  ' option does nothing, but
setting the same functionality with xmodmap works.

Interestingly the XF86_Mach64 server works (on another RH7.0 machine) works
just fine with the same keyboard options in the config file

Comment 1 Mike A. Harris 2001-03-23 07:41:56 UTC
You are using the wrong config file.  XF86Config-4 is the correct
file for XFree86 4.x


Note You need to log in before you can comment on or make changes to this bug.